### 4.23 `fputws`—write a wide character string in a file or stream

Synopsis

         #include <wchar.h>
         int fputws(const wchar_t *ws, FILE *fp);

         #include <wchar.h>
         int _fputws_r(struct _reent *ptr, const wchar_t *ws, FILE *fp);

Description
`fputws` writes the wide character string at ws (but without the trailing null) to the file or stream identified by fp.

`_fputws_r` is simply the reentrant version of `fputws` that takes an additional reentrant struct pointer argument: ptr.

Returns
If successful, the result is a non-negative integer; otherwise, the result is `-1` to indicate an error.

Portability
C99, POSIX.1-2001